/*
 *  Copyright (c) 2006  Peter Kliem (Peter.Kliem@jaret.de)
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jaret.ppc.wm;

import de.jaret.ppc.wm.model.Preferences;
import de.jaret.ppc.wm.model.WeightList;
import de.jaret.ppc.wm.ui.Main;
/**
 * Main Method for WeightMonitor (Singleton).
 * 
 * @author kliem
 * @version $Id: WeightMonitor.java 237 2006-07-30 21:16:59Z olk $
 */
public class WeightMonitor {
    private static WeightMonitor _instance;
    private static Preferences _preferences;
    private static WeightList _weightList;
    
    public static void main(String[] args) {
        _instance = new WeightMonitor();
        Main main = new Main();
        main.open();
    }
    
    public static WeightMonitor getInstance() {
        return _instance;
    }
    
    
    public Preferences getPreferences() {
        if (_preferences == null) {
            _preferences = new Preferences();
        }
        return _preferences;
    }
    
    public WeightList getWeightList() {
        if (_weightList == null) {
            _weightList = new WeightList();
        }
        return _weightList;
    }
    
}